# Method: queries.reports.list

- [HTTP request](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.request_body)
- [Response body](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.response_body)
  - [JSON representation](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.ListReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.aspect)
- [Try it!](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#try-it)

Lists reports generated by the provided query.

### HTTP request

`GET https://doubleclickbidmanager.googleapis.com/v2/queries/{queryId}/reports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `queryId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the query that generated the reports. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of results per page. Must be between `1` and `100`. Defaults to `100` if unspecified. |
| `pageToken` | `string` A token identifying which page of results the server should return. Typically, this is the value of `https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.ListReportsResponse.FIELDS.next_page_token` returned from the previous call to the `queries.reports.list` method. If unspecified, the first page of results is returned. |
| `orderBy` | `string` Field to sort the list by. Accepts the following values: - `key.reportId` (default) The default sorting order is ascending. To specify descending order for a field, add the suffix `desc` to the field name. For example, `key.reportId desc`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reports": [ { object (`https://developers.google.com/bid-manager/reference/rest/v2/queries.reports#Report`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `reports[]` | ``object (`https://developers.google.com/bid-manager/reference/rest/v2/queries.reports#Report`)`` The list of reports. This field will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `queries.reports.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).